<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.6"/>
<title>FTP Client: src/pom/constants.h Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { searchBox.OnSelectItem(0); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td style="padding-left: 0.5em;">
   <div id="projectname">FTP Client
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.6 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="annotated.html"><span>Classes</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
      <li><a href="globals.html"><span>File&#160;Members</span></a></li>
    </ul>
  </div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&#160;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&#160;</span>Classes</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&#160;</span>Files</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(3)"><span class="SelectionMark">&#160;</span>Functions</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(4)"><span class="SelectionMark">&#160;</span>Variables</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(5)"><span class="SelectionMark">&#160;</span>Pages</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_68267d1309a1af8e8297ef4c3efbcdba.html">src</a></li><li class="navelem"><a class="el" href="dir_0c7a412dd4e82345500f1b16442a8b39.html">pom</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">constants.h</div>  </div>
</div><!--header-->
<div class="contents">
<a href="constants_8h.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="preprocessor">#ifndef POLCAVOJ_CONSTANTS_H</span></div>
<div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;<span class="preprocessor"></span><span class="preprocessor">#define POLCAVOJ_CONSTANTS_H</span></div>
<div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;<span class="preprocessor"></span></div>
<div class="line"><a name="l00005"></a><span class="lineno"><a class="line" href="constants_8h.html#a274866add80198b760c603e55d1c6266">    5</a></span>&#160;<span class="keyword">const</span> <span class="keywordtype">int</span> <a class="code" href="constants_8h.html#a274866add80198b760c603e55d1c6266">PARAMETER_PROG</a> = 0;</div>
<div class="line"><a name="l00007"></a><span class="lineno"><a class="line" href="constants_8h.html#a693e9e365257ad0c2b4a978b803b55b2">    7</a></span>&#160;<span class="keyword">const</span> <span class="keywordtype">int</span> <a class="code" href="constants_8h.html#a693e9e365257ad0c2b4a978b803b55b2">PARAMETER_SERVER</a> = 1;</div>
<div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160;</div>
<div class="line"><a name="l00010"></a><span class="lineno"><a class="line" href="constants_8h.html#ad3e2ecf6befba53f5d438e60c520a8c2">   10</a></span>&#160;<span class="keyword">const</span> <span class="keywordtype">int</span> <a class="code" href="constants_8h.html#ad3e2ecf6befba53f5d438e60c520a8c2">RETURN_OK</a> = 0;</div>
<div class="line"><a name="l00012"></a><span class="lineno"><a class="line" href="constants_8h.html#a64aa2dc5cc1ecba6ecd24dd37ef2d2c2">   12</a></span>&#160;<span class="keyword">const</span> <span class="keywordtype">int</span> <a class="code" href="constants_8h.html#a64aa2dc5cc1ecba6ecd24dd37ef2d2c2">RETURN_ERROR_ARGUMENTS</a> = 1;</div>
<div class="line"><a name="l00014"></a><span class="lineno"><a class="line" href="constants_8h.html#a2a1489c0d1508408de136dad5337562d">   14</a></span>&#160;<span class="keyword">const</span> <span class="keywordtype">int</span> <a class="code" href="constants_8h.html#a2a1489c0d1508408de136dad5337562d">RETURN_ERROR_CREATE</a> = 2;</div>
<div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;</div>
<div class="line"><a name="l00017"></a><span class="lineno"><a class="line" href="constants_8h.html#ac2c7787a1343ec662596fb7084814bb9">   17</a></span>&#160;<span class="keyword">const</span> <span class="keywordtype">char</span> * <span class="keyword">const</span> <a class="code" href="constants_8h.html#ac2c7787a1343ec662596fb7084814bb9">COMMAND_END</a> = <span class="stringliteral">&quot;exit&quot;</span>;</div>
<div class="line"><a name="l00019"></a><span class="lineno"><a class="line" href="constants_8h.html#a1c52938a5cafcbf6b896e79bfdef7659">   19</a></span>&#160;<span class="keyword">const</span> <span class="keywordtype">char</span> * <span class="keyword">const</span> <a class="code" href="constants_8h.html#a1c52938a5cafcbf6b896e79bfdef7659">COMMAND_HELP</a> = <span class="stringliteral">&quot;help&quot;</span>;</div>
<div class="line"><a name="l00021"></a><span class="lineno"><a class="line" href="constants_8h.html#a95f50b992fd9e567b8440d6e77fe7efc">   21</a></span>&#160;<span class="keyword">const</span> <span class="keywordtype">char</span> * <span class="keyword">const</span> <a class="code" href="constants_8h.html#a95f50b992fd9e567b8440d6e77fe7efc">COMMAND_CONNECT</a> = <span class="stringliteral">&quot;open&quot;</span>;</div>
<div class="line"><a name="l00023"></a><span class="lineno"><a class="line" href="constants_8h.html#a9927c861c4242ab3c5d006e765d5abb0">   23</a></span>&#160;<span class="keyword">const</span> <span class="keywordtype">char</span> * <span class="keyword">const</span> <a class="code" href="constants_8h.html#a9927c861c4242ab3c5d006e765d5abb0">COMMAND_CLOSE</a> = <span class="stringliteral">&quot;close&quot;</span>;</div>
<div class="line"><a name="l00025"></a><span class="lineno"><a class="line" href="constants_8h.html#aabe4be5b39a46e7879c31924e1fc467d">   25</a></span>&#160;<span class="keyword">const</span> <span class="keywordtype">char</span> * <span class="keyword">const</span> <a class="code" href="constants_8h.html#aabe4be5b39a46e7879c31924e1fc467d">COMMAND_MKDIR</a> = <span class="stringliteral">&quot;mkdir&quot;</span>;</div>
<div class="line"><a name="l00027"></a><span class="lineno"><a class="line" href="constants_8h.html#a98739d728272c097a1a8de45af1ef7b0">   27</a></span>&#160;<span class="keyword">const</span> <span class="keywordtype">char</span> * <span class="keyword">const</span> <a class="code" href="constants_8h.html#a98739d728272c097a1a8de45af1ef7b0">COMMAND_CD</a> = <span class="stringliteral">&quot;cd&quot;</span>;</div>
<div class="line"><a name="l00029"></a><span class="lineno"><a class="line" href="constants_8h.html#a205dcc15a0d257dccd603613b3f64cb6">   29</a></span>&#160;<span class="keyword">const</span> <span class="keywordtype">char</span> * <span class="keyword">const</span> <a class="code" href="constants_8h.html#a205dcc15a0d257dccd603613b3f64cb6">COMMAND_LS</a> = <span class="stringliteral">&quot;ls&quot;</span>;</div>
<div class="line"><a name="l00030"></a><span class="lineno">   30</span>&#160;</div>
<div class="line"><a name="l00032"></a><span class="lineno"><a class="line" href="constants_8h.html#a92c3d38faf6fc1648a632db77d1d3812">   32</a></span>&#160;<span class="keyword">const</span> <span class="keywordtype">char</span> * <span class="keyword">const</span> <a class="code" href="constants_8h.html#a92c3d38faf6fc1648a632db77d1d3812">SRV_USER</a> = <span class="stringliteral">&quot;USER &quot;</span>;</div>
<div class="line"><a name="l00034"></a><span class="lineno"><a class="line" href="constants_8h.html#ac9738df05b2fa60484caf139f46a9dc8">   34</a></span>&#160;<span class="keyword">const</span> <span class="keywordtype">char</span> * <span class="keyword">const</span> <a class="code" href="constants_8h.html#ac9738df05b2fa60484caf139f46a9dc8">SRV_PASS</a> = <span class="stringliteral">&quot;PASS &quot;</span>;</div>
<div class="line"><a name="l00036"></a><span class="lineno"><a class="line" href="constants_8h.html#afe854994102d060b797721c12301f584">   36</a></span>&#160;<span class="keyword">const</span> <span class="keywordtype">char</span> * <span class="keyword">const</span> <a class="code" href="constants_8h.html#afe854994102d060b797721c12301f584">SRV_QUIT</a> = <span class="stringliteral">&quot;QUIT\r\n&quot;</span>;</div>
<div class="line"><a name="l00037"></a><span class="lineno">   37</span>&#160;</div>
<div class="line"><a name="l00038"></a><span class="lineno">   38</span>&#160;</div>
<div class="line"><a name="l00040"></a><span class="lineno"><a class="line" href="constants_8h.html#af1e7ea7a4418a191912ecfd1cb971db5">   40</a></span>&#160;<span class="keyword">const</span> <span class="keywordtype">char</span> * <span class="keyword">const</span> <a class="code" href="constants_8h.html#af1e7ea7a4418a191912ecfd1cb971db5">LOGIN_FAILED</a> = <span class="stringliteral">&quot;530 Login incorrect.\r&quot;</span>;</div>
<div class="line"><a name="l00042"></a><span class="lineno"><a class="line" href="constants_8h.html#a072cb7a0e169cbbd172678dad3250afa">   42</a></span>&#160;<span class="keyword">const</span> <span class="keywordtype">char</span> * <span class="keyword">const</span> <a class="code" href="constants_8h.html#a072cb7a0e169cbbd172678dad3250afa">HELP</a> = <span class="stringliteral">&quot;MODE \&quot;ftp&gt;\&quot; - program is waiting for connection\n&quot;</span></div>
<div class="line"><a name="l00043"></a><span class="lineno">   43</span>&#160;                          <span class="stringliteral">&quot;open &lt;server_address&gt; - Open connection to FTP server.\n&quot;</span></div>
<div class="line"><a name="l00044"></a><span class="lineno">   44</span>&#160;                          <span class="stringliteral">&quot;exit - Exit FTP client.\n&quot;</span></div>
<div class="line"><a name="l00045"></a><span class="lineno">   45</span>&#160;                          <span class="stringliteral">&quot;help - Display all available commands.\n&quot;</span></div>
<div class="line"><a name="l00046"></a><span class="lineno">   46</span>&#160;                          <span class="stringliteral">&quot;MODE \&quot;ftp-&gt;\&quot; - program is connected to the FTP server\n&quot;</span></div>
<div class="line"><a name="l00047"></a><span class="lineno">   47</span>&#160;                          <span class="stringliteral">&quot;close - Close connection to FTP server\n&quot;</span>;</div>
<div class="line"><a name="l00048"></a><span class="lineno">   48</span>&#160;</div>
<div class="line"><a name="l00050"></a><span class="lineno"><a class="line" href="constants_8h.html#ad3f098b0c28052a2a905895fc8537687">   50</a></span>&#160;<span class="keyword">const</span> <span class="keywordtype">int</span> <a class="code" href="constants_8h.html#ad3f098b0c28052a2a905895fc8537687">MAX_BUFFER_LENGTH</a> = 256;</div>
<div class="line"><a name="l00052"></a><span class="lineno"><a class="line" href="constants_8h.html#ad577ccf6f1fd22310483c09d08cf3398">   52</a></span>&#160;<span class="keyword">const</span> <span class="keywordtype">int</span> <a class="code" href="constants_8h.html#ad577ccf6f1fd22310483c09d08cf3398">MAX_COMMAND_LNT</a> = 50;</div>
<div class="line"><a name="l00054"></a><span class="lineno"><a class="line" href="constants_8h.html#af76f5feae16ac9db1dfd579b8797376c">   54</a></span>&#160;<span class="keyword">const</span> <span class="keywordtype">char</span> * <span class="keyword">const</span> <a class="code" href="constants_8h.html#af76f5feae16ac9db1dfd579b8797376c">PORT</a> = <span class="stringliteral">&quot;21&quot;</span>;</div>
<div class="line"><a name="l00055"></a><span class="lineno">   55</span>&#160;</div>
<div class="line"><a name="l00056"></a><span class="lineno">   56</span>&#160;</div>
<div class="line"><a name="l00057"></a><span class="lineno">   57</span>&#160;<span class="preprocessor">#endif //POLCAVOJ_CONSTANTS_H</span></div>
<div class="ttc" id="constants_8h_html_a98739d728272c097a1a8de45af1ef7b0"><div class="ttname"><a href="constants_8h.html#a98739d728272c097a1a8de45af1ef7b0">COMMAND_CD</a></div><div class="ttdeci">const char *const COMMAND_CD</div><div class="ttdoc">Command for browsing on the server. </div><div class="ttdef"><b>Definition:</b> constants.h:27</div></div>
<div class="ttc" id="constants_8h_html_ad577ccf6f1fd22310483c09d08cf3398"><div class="ttname"><a href="constants_8h.html#ad577ccf6f1fd22310483c09d08cf3398">MAX_COMMAND_LNT</a></div><div class="ttdeci">const int MAX_COMMAND_LNT</div><div class="ttdoc">Size of command length. </div><div class="ttdef"><b>Definition:</b> constants.h:52</div></div>
<div class="ttc" id="constants_8h_html_a274866add80198b760c603e55d1c6266"><div class="ttname"><a href="constants_8h.html#a274866add80198b760c603e55d1c6266">PARAMETER_PROG</a></div><div class="ttdeci">const int PARAMETER_PROG</div><div class="ttdoc">Name of the program in parameters. </div><div class="ttdef"><b>Definition:</b> constants.h:5</div></div>
<div class="ttc" id="constants_8h_html_a1c52938a5cafcbf6b896e79bfdef7659"><div class="ttname"><a href="constants_8h.html#a1c52938a5cafcbf6b896e79bfdef7659">COMMAND_HELP</a></div><div class="ttdeci">const char *const COMMAND_HELP</div><div class="ttdoc">Command for display all commands. </div><div class="ttdef"><b>Definition:</b> constants.h:19</div></div>
<div class="ttc" id="constants_8h_html_a92c3d38faf6fc1648a632db77d1d3812"><div class="ttname"><a href="constants_8h.html#a92c3d38faf6fc1648a632db77d1d3812">SRV_USER</a></div><div class="ttdeci">const char *const SRV_USER</div><div class="ttdoc">Server - Authentication command USER. </div><div class="ttdef"><b>Definition:</b> constants.h:32</div></div>
<div class="ttc" id="constants_8h_html_af76f5feae16ac9db1dfd579b8797376c"><div class="ttname"><a href="constants_8h.html#af76f5feae16ac9db1dfd579b8797376c">PORT</a></div><div class="ttdeci">const char *const PORT</div><div class="ttdoc">Port number. </div><div class="ttdef"><b>Definition:</b> constants.h:54</div></div>
<div class="ttc" id="constants_8h_html_ad3f098b0c28052a2a905895fc8537687"><div class="ttname"><a href="constants_8h.html#ad3f098b0c28052a2a905895fc8537687">MAX_BUFFER_LENGTH</a></div><div class="ttdeci">const int MAX_BUFFER_LENGTH</div><div class="ttdoc">Size of the buffer. </div><div class="ttdef"><b>Definition:</b> constants.h:50</div></div>
<div class="ttc" id="constants_8h_html_ac9738df05b2fa60484caf139f46a9dc8"><div class="ttname"><a href="constants_8h.html#ac9738df05b2fa60484caf139f46a9dc8">SRV_PASS</a></div><div class="ttdeci">const char *const SRV_PASS</div><div class="ttdoc">Server - Authentication command PASS. </div><div class="ttdef"><b>Definition:</b> constants.h:34</div></div>
<div class="ttc" id="constants_8h_html_a205dcc15a0d257dccd603613b3f64cb6"><div class="ttname"><a href="constants_8h.html#a205dcc15a0d257dccd603613b3f64cb6">COMMAND_LS</a></div><div class="ttdeci">const char *const COMMAND_LS</div><div class="ttdoc">Command for list of files in directory. </div><div class="ttdef"><b>Definition:</b> constants.h:29</div></div>
<div class="ttc" id="constants_8h_html_ac2c7787a1343ec662596fb7084814bb9"><div class="ttname"><a href="constants_8h.html#ac2c7787a1343ec662596fb7084814bb9">COMMAND_END</a></div><div class="ttdeci">const char *const COMMAND_END</div><div class="ttdoc">Command for exit application. </div><div class="ttdef"><b>Definition:</b> constants.h:17</div></div>
<div class="ttc" id="constants_8h_html_af1e7ea7a4418a191912ecfd1cb971db5"><div class="ttname"><a href="constants_8h.html#af1e7ea7a4418a191912ecfd1cb971db5">LOGIN_FAILED</a></div><div class="ttdeci">const char *const LOGIN_FAILED</div><div class="ttdoc">Response from server - login failed. </div><div class="ttdef"><b>Definition:</b> constants.h:40</div></div>
<div class="ttc" id="constants_8h_html_a2a1489c0d1508408de136dad5337562d"><div class="ttname"><a href="constants_8h.html#a2a1489c0d1508408de136dad5337562d">RETURN_ERROR_CREATE</a></div><div class="ttdeci">const int RETURN_ERROR_CREATE</div><div class="ttdoc">Return value when connecting to FTP server failed. </div><div class="ttdef"><b>Definition:</b> constants.h:14</div></div>
<div class="ttc" id="constants_8h_html_a693e9e365257ad0c2b4a978b803b55b2"><div class="ttname"><a href="constants_8h.html#a693e9e365257ad0c2b4a978b803b55b2">PARAMETER_SERVER</a></div><div class="ttdeci">const int PARAMETER_SERVER</div><div class="ttdoc">Name of the server in parameters. </div><div class="ttdef"><b>Definition:</b> constants.h:7</div></div>
<div class="ttc" id="constants_8h_html_a9927c861c4242ab3c5d006e765d5abb0"><div class="ttname"><a href="constants_8h.html#a9927c861c4242ab3c5d006e765d5abb0">COMMAND_CLOSE</a></div><div class="ttdeci">const char *const COMMAND_CLOSE</div><div class="ttdoc">Command for quit the FTP server. </div><div class="ttdef"><b>Definition:</b> constants.h:23</div></div>
<div class="ttc" id="constants_8h_html_ad3e2ecf6befba53f5d438e60c520a8c2"><div class="ttname"><a href="constants_8h.html#ad3e2ecf6befba53f5d438e60c520a8c2">RETURN_OK</a></div><div class="ttdeci">const int RETURN_OK</div><div class="ttdoc">Return value when application ended successfully. </div><div class="ttdef"><b>Definition:</b> constants.h:10</div></div>
<div class="ttc" id="constants_8h_html_a64aa2dc5cc1ecba6ecd24dd37ef2d2c2"><div class="ttname"><a href="constants_8h.html#a64aa2dc5cc1ecba6ecd24dd37ef2d2c2">RETURN_ERROR_ARGUMENTS</a></div><div class="ttdeci">const int RETURN_ERROR_ARGUMENTS</div><div class="ttdoc">Return value when application have too many arguments. </div><div class="ttdef"><b>Definition:</b> constants.h:12</div></div>
<div class="ttc" id="constants_8h_html_a072cb7a0e169cbbd172678dad3250afa"><div class="ttname"><a href="constants_8h.html#a072cb7a0e169cbbd172678dad3250afa">HELP</a></div><div class="ttdeci">const char *const HELP</div><div class="ttdoc">Command HELP which display all available commands. </div><div class="ttdef"><b>Definition:</b> constants.h:42</div></div>
<div class="ttc" id="constants_8h_html_aabe4be5b39a46e7879c31924e1fc467d"><div class="ttname"><a href="constants_8h.html#aabe4be5b39a46e7879c31924e1fc467d">COMMAND_MKDIR</a></div><div class="ttdeci">const char *const COMMAND_MKDIR</div><div class="ttdoc">Command for make a directory. </div><div class="ttdef"><b>Definition:</b> constants.h:25</div></div>
<div class="ttc" id="constants_8h_html_afe854994102d060b797721c12301f584"><div class="ttname"><a href="constants_8h.html#afe854994102d060b797721c12301f584">SRV_QUIT</a></div><div class="ttdeci">const char *const SRV_QUIT</div><div class="ttdoc">Server - command for quit. </div><div class="ttdef"><b>Definition:</b> constants.h:36</div></div>
<div class="ttc" id="constants_8h_html_a95f50b992fd9e567b8440d6e77fe7efc"><div class="ttname"><a href="constants_8h.html#a95f50b992fd9e567b8440d6e77fe7efc">COMMAND_CONNECT</a></div><div class="ttdeci">const char *const COMMAND_CONNECT</div><div class="ttdoc">Command for connect to server. </div><div class="ttdef"><b>Definition:</b> constants.h:21</div></div>
</div><!-- fragment --></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Fri Jun 3 2016 12:40:01 for FTP Client by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.6
</small></address>
</body>
</html>
